Bug 195500 - www/webkit-gtk3 : allow building with GNU binutils installed
Summary: www/webkit-gtk3 : allow building with GNU binutils installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
: 199731 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-11-29 14:16 UTC by Christoph Moench-Tegeder
Modified: 2016-05-05 17:31 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
make sure base system's ar is used (409 bytes, patch)
2014-11-29 14:16 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2014-11-29 14:16:55 UTC
Created attachment 149988 [details]
make sure base system's ar is used

Building webkit-gtk3 with devel/binutils installed fails:

  CXXLD    libWTF.la
  CXXLD    Programs/LLIntOffsetsExtractor
/usr/bin/ld:./.libs/libWTF.a: file format not recognized; treating as linker scr
/usr/bin/ld:./.libs/libWTF.a:1: syntax error
c++: error: linker command failed with exit code 1 (use -v to see invocation)
GNUmakefile:40531: recipe for target 'Programs/LLIntOffsetsExtractor' failed
gmake[2]: *** [Programs/LLIntOffsetsExtractor] Error 1
gmake[2]: Leaving directory '/usr/ports/www/webkit-gtk3/work/webkitgtk-2.4.7'
*** Error code 1

This is because GNU ar may create files which are not usable by the base system's ld. The same issue was observed in chromium a while back (ports/182682).
Attached patch contains the same fix as I submitted for chromium back then - pointing the build system to the base system's ar via CONFIGURE_ENV.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-29 14:16:55 UTC
Auto-assigned to maintainer gnome@FreeBSD.org
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2016-05-02 21:32:40 UTC
*** Bug 199731 has been marked as a duplicate of this bug. ***
Comment 3 commit-hook freebsd_committer 2016-05-05 16:08:27 UTC
A commit references this bug:

Author: rm
Date: Thu May  5 16:08:09 UTC 2016
New revision: 414649
URL: https://svnweb.freebsd.org/changeset/ports/414649

Log:
  www/webkit-gtk[23]: update to 2.4.11

  - update to 2.4.11
  - fix build with Ruby 2.2 default version (ruby symlink doesn't exist anymore)
  - replace CPPFLAGS and LDFLAGS by USES= localbase
  - fix couple of whitespace bugs

  PR:		208961
  PR:     208192
  Submitted by:	olivierd
  Reviewed by:	kwm
  With hat:	gnome
  MFH:		2016Q2 (along with r414478)

  - fix build of webkit-gtk2 on ARM platforms

  PR:     208569
  Reported by:    otacilio.neto@bsd.com.br
  Submitted by:   mikael.urankar@gmail.com

  - fix build of webkit-gtk[23] when GNU binutils is installed

  PR:     195500
  PR:     196333
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net>

Changes:
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk2/distinfo
  head/www/webkit-gtk2/files/patch-Source_WTF_wtf_Platform.h
  head/www/webkit-gtk2/pkg-plist
  head/www/webkit-gtk3/Makefile
  head/www/webkit-gtk3/distinfo
  head/www/webkit-gtk3/pkg-plist
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2016-05-05 16:13:12 UTC
Committed, thank you!
Comment 5 commit-hook freebsd_committer 2016-05-05 16:43:41 UTC
A commit references this bug:

Author: rm
Date: Thu May  5 16:42:57 UTC 2016
New revision: 414650
URL: https://svnweb.freebsd.org/changeset/ports/414650

Log:
  MFH: r414478 r414649

  www/webkit-gtk[23]: update to 2.4.10

  Merged from freebsd-ports-gnome development repo.

  Reviewed by:	kwm
  With hat:       gnome

  www/webkit-gtk[23]: update to 2.4.11

  - update to 2.4.11
  - fix build with Ruby 2.2 default version (ruby symlink doesn't exist anymore)
  - replace CPPFLAGS and LDFLAGS by USES= localbase
  - fix couple of whitespace bugs

  PR:		208961
  PR:     208192
  Submitted by:	olivierd
  Reviewed by:	kwm
  With hat:	gnome

  - fix build of webkit-gtk2 on ARM platforms

  PR:     208569
  Reported by:    otacilio.neto@bsd.com.br
  Submitted by:   mikael.urankar@gmail.com

  - fix build of webkit-gtk[23] when GNU binutils is installed

  PR:     195500
  PR:     196333
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net>

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/www/webkit-gtk2/Makefile
  branches/2016Q2/www/webkit-gtk2/distinfo
  branches/2016Q2/www/webkit-gtk2/files/patch-CVE-2014-1748
  branches/2016Q2/www/webkit-gtk2/files/patch-Source_WTF_wtf_Platform.h
  branches/2016Q2/www/webkit-gtk2/pkg-plist
  branches/2016Q2/www/webkit-gtk3/Makefile
  branches/2016Q2/www/webkit-gtk3/distinfo
  branches/2016Q2/www/webkit-gtk3/files/patch-CVE-2014-1748
  branches/2016Q2/www/webkit-gtk3/pkg-plist